GOLF(2gg)

NAME
flush-output - (output)

PURPOSE
Flush output.

SYNTAX

        flush-output

DESCRIPTION
Use flush-output statement to flush any pending output.

This can be useful if the complete output would take longer to produce and intermittent partial output would be needed.

EXAMPLES
In this case the complete output may take at least 20 seconds. With flush-output, the message "This is partial output" will be flushed out immediately.

        @This is partial output
        flush-output
        sleep(20);
        @This is final output

SEE ALSO
 Output

finish-output flush-output output-statement print-format print-out print-path See all documentation